[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: How to update rpm itself?



On Tue, Oct 16, 2001 at 09:04:17PM +0800, С½×Ó wrote:
> Hi,
>   I'm using an old version of redhat(6.0). When i want to install
> new software with rpm, i get error message that this version
> of rpm only support rpm packages with version up to 3.  And I 
> found  a lot of the new software (shipped in the RedHat7.1 Discs)
>  are packed in the new format, and the new version of rmp utils
> are also packed in that way.
>   So i can't rpm -ivh rpm itself.  Is there any way out?

Install rpm-3.0.5, do a --rebuilddb, then upgrade to rpm-4.0.3.

rpm-3.0.5 is avaliable through Red Hat errata/upgrades, rpm-4.0.3
can be had at
	ftp://ftp.rpm.org/pub/rpm/test-4.0.3

Note: The packages for Redhat 6.x have "6x" in the release.

73 de Jeff

-- 
Jeff Johnson	ARS N3NPQ
jbj@jbj.org	(jbj@redhat.com)
Chapel Hill, NC





[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index] []